### Method

# Gimp Drawable invert

since: 2.10

#### Declaration [src]

    gboolean
    gimp_drawable_invert (
      GimpDrawable* drawable,
      gboolean linear
    )

#### Description [src]

Invert the contents of the specified drawable.

This procedure inverts the contents of the specified drawable. Each intensity channel is inverted independently. The inverted intensity is given as inten’ = (255 - inten). If ‘linear’ is TRUE, the drawable is inverted in linear space.

Available since: 2.10

#### Parameters

`linear`

  Type: `gboolean`

  Whether to invert in linear space.

#### Return value

Type: `gboolean`

TRUE on success.